[arch-commits] Commit in zsh/repos (10 files)

Pierre Schmitz pierre at nymeria.archlinux.org
Sun Dec 15 09:17:41 UTC 2013


    Date: Sunday, December 15, 2013 @ 10:17:41
  Author: pierre
Revision: 201565

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  zsh/repos/testing-i686/
  zsh/repos/testing-i686/PKGBUILD
    (from rev 201564, zsh/trunk/PKGBUILD)
  zsh/repos/testing-i686/zprofile
    (from rev 201564, zsh/trunk/zprofile)
  zsh/repos/testing-i686/zsh-doc.install
    (from rev 201564, zsh/trunk/zsh-doc.install)
  zsh/repos/testing-i686/zsh.install
    (from rev 201564, zsh/trunk/zsh.install)
  zsh/repos/testing-x86_64/
  zsh/repos/testing-x86_64/PKGBUILD
    (from rev 201564, zsh/trunk/PKGBUILD)
  zsh/repos/testing-x86_64/zprofile
    (from rev 201564, zsh/trunk/zprofile)
  zsh/repos/testing-x86_64/zsh-doc.install
    (from rev 201564, zsh/trunk/zsh-doc.install)
  zsh/repos/testing-x86_64/zsh.install
    (from rev 201564, zsh/trunk/zsh.install)

--------------------------------+
 testing-i686/PKGBUILD          |   84 +++++++++++++++++++++++++++++++++++++++
 testing-i686/zprofile          |    1 
 testing-i686/zsh-doc.install   |   20 +++++++++
 testing-i686/zsh.install       |   12 +++++
 testing-x86_64/PKGBUILD        |   84 +++++++++++++++++++++++++++++++++++++++
 testing-x86_64/zprofile        |    1 
 testing-x86_64/zsh-doc.install |   20 +++++++++
 testing-x86_64/zsh.install     |   12 +++++
 8 files changed, 234 insertions(+)

Copied: zsh/repos/testing-i686/PKGBUILD (from rev 201564, zsh/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgbase=zsh
+pkgname=('zsh' 'zsh-doc')
+pkgver=5.0.3
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.zsh.org/'
+license=('custom')
+makedepends=('pcre' 'libcap' 'gdbm')
+source=("http://www.zsh.org/pub/zsh-${pkgver}.tar.bz2"
+        "http://www.zsh.org/pub/zsh-${pkgver}-doc.tar.bz2"
+        'zprofile')
+md5sums=('aeba7cffed625aa5e212d33285243e11'
+         '01096a74fb641d2c6a00de0cfe2cd3ec'
+         '24a9335edf77252a7b5f52e079f7aef7')
+
+prepare() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+
+	# Set correct keymap path
+	sed -i 's#/usr/share/keymaps#/usr/share/kbd/keymaps#g' Completion/Unix/Command/_loadkeys
+
+	# Remove unneeded and conflicting completion scripts
+	for _fpath in AIX BSD Cygwin Darwin Debian Mandriva openSUSE Redhat Solaris; do
+		rm -rf Completion/$_fpath
+		sed "s#\s*Completion/$_fpath/\*/\*##g" -i Src/Zle/complete.mdd
+	done
+	rm -f  Completion/Linux/Command/_{pkgtool,rpmbuild,yast}
+	rm -f  Completion/Unix/Command/_{osc,systemd}
+}
+
+build() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+
+	./configure --prefix=/usr \
+		--docdir=/usr/share/doc/zsh \
+		--htmldir=/usr/share/doc/zsh/html \
+		--enable-etcdir=/etc/zsh \
+		--enable-zshenv=/etc/zsh/zshenv \
+		--enable-zlogin=/etc/zsh/zlogin \
+		--enable-zlogout=/etc/zsh/zlogout \
+		--enable-zprofile=/etc/zsh/zprofile \
+		--enable-zshrc=/etc/zsh/zshrc \
+		--enable-maildir-support \
+		--with-term-lib='ncursesw' \
+		--enable-multibyte \
+		--enable-function-subdirs \
+		--enable-fndir=/usr/share/zsh/functions \
+		--enable-scriptdir=/usr/share/zsh/scripts \
+		--with-tcsetpgrp \
+		--enable-pcre \
+		--enable-cap \
+		--enable-zsh-secure-free
+	make
+}
+
+check() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	HOME="${srcdir}" make check
+}
+
+package_zsh() {
+	pkgdesc='A very advanced and programmable command interpreter (shell) for UNIX'
+	depends=('pcre' 'libcap' 'gdbm')
+	backup=('etc/zsh/zprofile')
+	install=zsh.install
+
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	make DESTDIR="${pkgdir}/" install
+	install -D -m644 "${srcdir}/zprofile" "${pkgdir}/etc/zsh/zprofile"
+	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+package_zsh-doc() {
+	pkgdesc='Info, HTML and PDF format of the ZSH documentation'
+	install=zsh-doc.install
+
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	make DESTDIR="${pkgdir}/" install.info install.html
+	install -D -m644 Doc/zsh.pdf "${pkgdir}/usr/share/doc/zsh.pdf"
+	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: zsh/repos/testing-i686/zprofile (from rev 201564, zsh/trunk/zprofile)
===================================================================
--- testing-i686/zprofile	                        (rev 0)
+++ testing-i686/zprofile	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1 @@
+emulate sh -c 'source /etc/profile'

Copied: zsh/repos/testing-i686/zsh-doc.install (from rev 201564, zsh/trunk/zsh-doc.install)
===================================================================
--- testing-i686/zsh-doc.install	                        (rev 0)
+++ testing-i686/zsh-doc.install	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(zsh.info zsh.info-1 zsh.info-2 zsh.info-3 zsh.info-4 zsh.info-5 zsh.info-6)
+
+post_install() {
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+		install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
+}
+
+post_upgrade() {
+	post_install
+}
+
+pre_remove() {
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+		install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
+}

Copied: zsh/repos/testing-i686/zsh.install (from rev 201564, zsh/trunk/zsh.install)
===================================================================
--- testing-i686/zsh.install	                        (rev 0)
+++ testing-i686/zsh.install	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,12 @@
+post_install() {
+	grep -qe '^/bin/zsh$' etc/shells || echo '/bin/zsh' >> etc/shells
+	grep -qe '^/usr/bin/zsh$' etc/shells || echo '/usr/bin/zsh' >> etc/shells
+}
+
+post_upgrade() {
+	post_install
+}
+
+pre_remove() {
+	sed -i -r '/^(\/usr)?\/bin\/zsh$/d' etc/shells
+}

Copied: zsh/repos/testing-x86_64/PKGBUILD (from rev 201564, zsh/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgbase=zsh
+pkgname=('zsh' 'zsh-doc')
+pkgver=5.0.3
+pkgrel=1
+arch=('i686' 'x86_64')
+url='http://www.zsh.org/'
+license=('custom')
+makedepends=('pcre' 'libcap' 'gdbm')
+source=("http://www.zsh.org/pub/zsh-${pkgver}.tar.bz2"
+        "http://www.zsh.org/pub/zsh-${pkgver}-doc.tar.bz2"
+        'zprofile')
+md5sums=('aeba7cffed625aa5e212d33285243e11'
+         '01096a74fb641d2c6a00de0cfe2cd3ec'
+         '24a9335edf77252a7b5f52e079f7aef7')
+
+prepare() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+
+	# Set correct keymap path
+	sed -i 's#/usr/share/keymaps#/usr/share/kbd/keymaps#g' Completion/Unix/Command/_loadkeys
+
+	# Remove unneeded and conflicting completion scripts
+	for _fpath in AIX BSD Cygwin Darwin Debian Mandriva openSUSE Redhat Solaris; do
+		rm -rf Completion/$_fpath
+		sed "s#\s*Completion/$_fpath/\*/\*##g" -i Src/Zle/complete.mdd
+	done
+	rm -f  Completion/Linux/Command/_{pkgtool,rpmbuild,yast}
+	rm -f  Completion/Unix/Command/_{osc,systemd}
+}
+
+build() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+
+	./configure --prefix=/usr \
+		--docdir=/usr/share/doc/zsh \
+		--htmldir=/usr/share/doc/zsh/html \
+		--enable-etcdir=/etc/zsh \
+		--enable-zshenv=/etc/zsh/zshenv \
+		--enable-zlogin=/etc/zsh/zlogin \
+		--enable-zlogout=/etc/zsh/zlogout \
+		--enable-zprofile=/etc/zsh/zprofile \
+		--enable-zshrc=/etc/zsh/zshrc \
+		--enable-maildir-support \
+		--with-term-lib='ncursesw' \
+		--enable-multibyte \
+		--enable-function-subdirs \
+		--enable-fndir=/usr/share/zsh/functions \
+		--enable-scriptdir=/usr/share/zsh/scripts \
+		--with-tcsetpgrp \
+		--enable-pcre \
+		--enable-cap \
+		--enable-zsh-secure-free
+	make
+}
+
+check() {
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	HOME="${srcdir}" make check
+}
+
+package_zsh() {
+	pkgdesc='A very advanced and programmable command interpreter (shell) for UNIX'
+	depends=('pcre' 'libcap' 'gdbm')
+	backup=('etc/zsh/zprofile')
+	install=zsh.install
+
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	make DESTDIR="${pkgdir}/" install
+	install -D -m644 "${srcdir}/zprofile" "${pkgdir}/etc/zsh/zprofile"
+	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+package_zsh-doc() {
+	pkgdesc='Info, HTML and PDF format of the ZSH documentation'
+	install=zsh-doc.install
+
+	cd "${srcdir}/${pkgbase}-${pkgver}"
+	make DESTDIR="${pkgdir}/" install.info install.html
+	install -D -m644 Doc/zsh.pdf "${pkgdir}/usr/share/doc/zsh.pdf"
+	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: zsh/repos/testing-x86_64/zprofile (from rev 201564, zsh/trunk/zprofile)
===================================================================
--- testing-x86_64/zprofile	                        (rev 0)
+++ testing-x86_64/zprofile	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1 @@
+emulate sh -c 'source /etc/profile'

Copied: zsh/repos/testing-x86_64/zsh-doc.install (from rev 201564, zsh/trunk/zsh-doc.install)
===================================================================
--- testing-x86_64/zsh-doc.install	                        (rev 0)
+++ testing-x86_64/zsh-doc.install	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(zsh.info zsh.info-1 zsh.info-2 zsh.info-3 zsh.info-4 zsh.info-5 zsh.info-6)
+
+post_install() {
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+		install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
+}
+
+post_upgrade() {
+	post_install
+}
+
+pre_remove() {
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+		install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
+}

Copied: zsh/repos/testing-x86_64/zsh.install (from rev 201564, zsh/trunk/zsh.install)
===================================================================
--- testing-x86_64/zsh.install	                        (rev 0)
+++ testing-x86_64/zsh.install	2013-12-15 09:17:41 UTC (rev 201565)
@@ -0,0 +1,12 @@
+post_install() {
+	grep -qe '^/bin/zsh$' etc/shells || echo '/bin/zsh' >> etc/shells
+	grep -qe '^/usr/bin/zsh$' etc/shells || echo '/usr/bin/zsh' >> etc/shells
+}
+
+post_upgrade() {
+	post_install
+}
+
+pre_remove() {
+	sed -i -r '/^(\/usr)?\/bin\/zsh$/d' etc/shells
+}




More information about the arch-commits mailing list